KnnSearchStrategy.Seeded (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.search.knn, class: KnnSearchStrategy, class: Seeded

Package org.apache.lucene.search.knn

# Class KnnSearchStrategy.Seeded

java.lang.Object
org.apache.lucene.search.knn.KnnSearchStrategy
org.apache.lucene.search.knn.KnnSearchStrategy.Seeded

Enclosing class:
  `KnnSearchStrategy`

public static class KnnSearchStrategy.Seeded extends KnnSearchStrategy
A strategy for kNN search that uses a set of entry points to start the search

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.search.knn.KnnSearchStrategy

  `KnnSearchStrategy.Hnsw, KnnSearchStrategy.Patience, KnnSearchStrategy.Seeded`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.search.knn.KnnSearchStrategy

  `DEFAULT_FILTERED_SEARCH_THRESHOLD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Seeded(DocIdSetIterator entryPoints, int numberOfEntryPoints, KnnSearchStrategy originalStrategy)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DocIdSetIterator`
  `entryPoints()`
  Iterator of valid entry points for the kNN search
  `boolean`
  `equals(Object o)`
  Override and implement search strategy instance equivalence properly in a subclass.
  `int`
  `hashCode()`
  Override and implement search strategy hash code properly in a subclass.
  `void`
  `nextVectorsBlock()`
  Signal processing of the next block of vectors.
  `int`
  `numberOfEntryPoints()`
  Number of valid entry points for the kNN search
  `KnnSearchStrategy`
  `originalStrategy()`
  Original strategy to use after seeding

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Seeded

    public Seeded(DocIdSetIterator entryPoints, int numberOfEntryPoints, KnnSearchStrategy originalStrategy)

- ## Method Details

  - ### entryPoints

    public DocIdSetIterator entryPoints()
    Iterator of valid entry points for the kNN search
    Returns:
      DocIdSetIterator of entry points

  - ### numberOfEntryPoints

    public int numberOfEntryPoints()
    Number of valid entry points for the kNN search
    Returns:
      number of entry points

  - ### originalStrategy

    public KnnSearchStrategy originalStrategy()
    Original strategy to use after seeding
    Returns:
      original strategy

  - ### equals

    public boolean equals(Object o)
    Description copied from class: `KnnSearchStrategy`
    Override and implement search strategy instance equivalence properly in a subclass.
    Specified by:
      `equals` in class `KnnSearchStrategy`

  - ### hashCode

    public int hashCode()
    Description copied from class: `KnnSearchStrategy`
    Override and implement search strategy hash code properly in a subclass.
    Specified by:
      `hashCode` in class `KnnSearchStrategy`
    See Also:
      - `KnnSearchStrategy.equals(Object)`

  - ### nextVectorsBlock

    public void nextVectorsBlock()
    Description copied from class: `KnnSearchStrategy`
    Signal processing of the next block of vectors.
    Specified by:
      `nextVectorsBlock` in class `KnnSearchStrategy`